#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
   @project: HsPyLib-AskAI
   @package: askai.tui.app_icons
      @file: app_icons.py
   @created: Mon, 29 Apr 2024
    @author: <B>H</B>ugo <B>S</B>aporetti <B>J</B>unior
      @site: https://github.com/yorevs/askai
   @license: MIT - Please refer to <https://opensource.org/licenses/MIT>

   Copyright (c) 2024, AskAI
"""

from hspylib.core.enums.enumeration import Enumeration


class AppIcons(Enumeration):
    """Enumerated icons of the new AskAI UI application."""

    # icons:                鬒         

    DEFAULT = ""
    STARTED = ""
    MENU = ""
    TOC = "פּ"
    EXIT = ""
    HELP = ""
    SETTINGS = ""
    GLOBE = ""
    INFO = ""
    CONSOLE = ""
    DEBUG_ON = ""
    DEBUG_OFF = ""
    SPEAKING_ON = "墳"
    SPEAKING_OFF = "婢"
    CACHING_ON = "凌"
    CACHING_OFF = "稜"
    ASSISTIVE_ON = ""
    ASSISTIVE_OFF = ""
    SEPARATOR_V = ""
    SEPARATOR_H = ""
    LISTENING_ON = ""
    LISTENING_OFF = ""
    BUILT_IN_SPEAKER = ""
    HEADPHONES = ""
    CLOCK = ""
    REGENERATE = ""
    LIKE = ""
    DISLIKE = ""
    COPY_REPLY = "穀"
    READ_ALOUD = ""
